English Amiga Board Amiga Lore


Go Back   English Amiga Board > Support > support.FS-UAE

 
 
Thread Tools
Old 14 December 2014, 19:49   #1
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 36
Posts: 3,368
Linux / SteamOS Builds Now Available

I have created a new binary distribution for Linux / SteamOS. These packages are very new, and should be considered experimental.

The naming is a bit misleading, the requirement isn’t really SteamOS, but rather the Steam Runtime! This means that this version should run on any Linux distribution where Steam (or Steam Runtime) is installed. Please report if the packages are not working on your Linux distro

This package can be particular useful if FS-UAE packages are not available for your Linux distro (or if only older versions are available). The SteamOS version will also probably be used as the base for a new Linux portable distribution (similar to the Windows and OS X portable versions).
FrodeSolheim is offline  
AdSense AdSense  
Old 14 December 2014, 20:38   #2
liviux76
Registered User

liviux76's Avatar
 
Join Date: Jan 2014
Location: BO/Italy
Posts: 675
Hello,
Thanks for sharing this version.
Since I am using a "customized" Linux distro between Centos 6.5 and Fedora 17 I tried this new binaries (I have Steam installed and it works flawlessly) but I obtain this error:

Code:
uname_result(system='Linux', node='optiplex-380', release='3.9.10-100.fc17.i686', version='#1 SMP Sun Jul 14 01:40:11 UTC 2013', machine='i686', processor='i686')
['./fs-uae-launcher.bin']
FS-UAE Launcher 2.5.21dev
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: directfbegl, directfb, linuxfb, minimal, offscreen, xcb.

Reinstalling the application may fix this problem.
Aborted (core dumped)
Do you have any suggestions?
I already installed libxcb libxcb-devel xcb-util xcb-util-devel

Let me know if you need more information.
Chers!

UPDATE:
Solved, I had to install qt5-qtbase.i686 qt5-qtbase-devel.i686
As soon as I have time i'll test all the features...

Last edited by liviux76; 14 December 2014 at 21:25.
liviux76 is offline  
Old 14 December 2014, 21:30   #3
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 36
Posts: 3,368
@liviux76 something is still wrong, because it should use bundled QT5 libraries and not depend on system ones. Thanks for testing so far, I'll try to fire up a Fedora 17 VM, install Steam and test myself
FrodeSolheim is offline  
Old 14 December 2014, 22:25   #4
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 36
Posts: 3,368
I found the problem (tested in a Fedora 20 VM). The package was missing libQt5DBus.so.5. I have uploaded updated packages here:

http://fs-uae.net/fs-uae/devel/2.5.21dev2/

@liviux76 I would appreciate if you could do the following:
  • Uninstall the QT5 packages you installed.
  • Verify that fs-uae-launcher once again fails to start (this step is important, otherwise the next test won't be valid).
  • Download 2.5.21dev2 and verify that this new version works

Last edited by FrodeSolheim; 14 December 2014 at 22:33.
FrodeSolheim is offline  
Old 15 December 2014, 12:48   #5
liviux76
Registered User

liviux76's Avatar
 
Join Date: Jan 2014
Location: BO/Italy
Posts: 675
Quote:
Originally Posted by FrodeSolheim View Post
I found the problem (tested in a Fedora 20 VM). The package was missing libQt5DBus.so.5. I have uploaded updated packages here:

http://fs-uae.net/fs-uae/devel/2.5.21dev2/

@liviux76 I would appreciate if you could do the following:
  • Uninstall the QT5 packages you installed.
  • Verify that fs-uae-launcher once again fails to start (this step is important, otherwise the next test won't be valid).
  • Download 2.5.21dev2 and verify that this new version works
Hello,
sure, I am at work now but I will do the test later this evening and I will let you know how it goes.
liviux76 is offline  
Old 15 December 2014, 20:44   #6
liviux76
Registered User

liviux76's Avatar
 
Join Date: Jan 2014
Location: BO/Italy
Posts: 675
Hello,
I did what you asked me and it works.

First I uninstalled the QT5 packages:

yum remove qt5-qtbase.i686 qt5-qtbase-devel.i686 qt5-qtbase-gui qt5-qtbase-mysql qt5-qtbase-postgresql qt5-qtbase-odbc

Then I tried to start the fs-uae-launcher and it failed

Finally i downloaded the version 2.5.21dev2 and it works

Now I am asked to upgrade to the 2.5.22dev, do I have to upgrade to the new version?
liviux76 is offline  
Old 15 December 2014, 20:49   #7
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 36
Posts: 3,368
Quote:
Originally Posted by liviux76 View Post
Finally i downloaded the version 2.5.21dev2 and it works
Great, thanks for verifying

Quote:
Originally Posted by liviux76 View Post
Now I am asked to upgrade to the 2.5.22dev, do I have to upgrade to the new version?
No, it's optional of course (kind of, I won't support versions other than the most recent one), but the launcher wlll always inform you if there is a newer version available. The only change in 2.5.22dev is an updated emulation core from WinUAE.
FrodeSolheim is offline  
Old 15 December 2014, 21:00   #8
liviux76
Registered User

liviux76's Avatar
 
Join Date: Jan 2014
Location: BO/Italy
Posts: 675
Quote:
Originally Posted by FrodeSolheim View Post
Great, thanks for verifying



No, it's optional of course (kind of, I won't support versions other than the most recent one), but the launcher wlll always inform you if there is a newer version available. The only change in 2.5.22dev is an updated emulation core from WinUAE.
Ok, thanks, it doesn't matter if I am not using the latest version... I still have to learn how to use many features of this great piece of software!
liviux76 is offline  
AdSense AdSense  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
Experimental/testing builds of WinUAE 2.7.0 with VS 2013 mark_k support.WinUAE 18 09 September 2014 22:26
Dopus Open Source. Latest Nightly Builds Retrofan support.Other 1 13 October 2013 02:28
2.4.X builds and low audio volume KoasKid support.WinUAE 1 21 May 2012 20:12
anyone know stuff about MAME arcade cabinet builds techn1um Retrogaming General Discussion 59 10 September 2010 20:29
AMIGIFT v2.0 PRE-Release (new builds!) Paul News 2 01 August 2006 15:38

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 22:51.


Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Page generated in 0.15435 seconds with 12 queries